# Interface ResultRenderer

All Known Implementing Classes:
  `RenderAsCssJQuery, RenderAsDocument, RenderAsHTML, RenderAsHTMLWithEmbedded, RenderAsJSON, RenderAsRegexp, RenderAsText, RenderAsXML, RenderAsXPath, SamplerResultTab`

public interface ResultRenderer
Interface to results render

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
`void`
`init()`
`void`
`renderImage(SampleResult sampleResult)`
`void`
`renderResult(SampleResult sampleResult)`
`void`
`setBackgroundColor(Color backGround)`
`void`
`setLastSelectedTab(int index)`
`void`
`setRightSide(JTabbedPane rightSide)`
`void`
`setSamplerResult(Object userObject)`
`void`
`setupTabPane()`
`String`
`toString()`

## Method Details

### clearData

void clearData()

### init

void init()

### setupTabPane

void setupTabPane()

### setLastSelectedTab

void setLastSelectedTab(int index)

### setRightSide

void setRightSide(JTabbedPane rightSide)

### setSamplerResult

void setSamplerResult(Object userObject)

### renderResult

void renderResult(SampleResult sampleResult)

### renderImage

void renderImage(SampleResult sampleResult)

### toString

String toString()

Overrides:
  `toString` in class `Object`
Returns:
  the string to be displayed by the ComboBox

### setBackgroundColor

void setBackgroundColor(Color backGround)